import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.accessReview.list();
console.log(result);
}
run();package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AccessReview.List(ctx, operations.C1APIAccessreviewV1AccessReviewServiceListRequest{})
if err != nil {
log.Fatal(err)
}
if res.AccessReviewServiceListResponse != nil {
// handle response
}
}curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/access_reviews \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/access_reviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/access_reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"expanded": [
{
"@type": "<string>"
}
],
"list": [
{
"accessReview": {
"accessReviewTemplateId": "<string>",
"accuracyIssueAction": "ACCURACY_ISSUE_ACTION_UNSPECIFIED",
"autoCloseCampaign": true,
"autoCloseDecision": "CLOSE_DECISION_UNSPECIFIED",
"autoGenerateReport": true,
"autoResolve": true,
"autoStartCampaign": true,
"bindings": {},
"campaignHealth": {
"checkedAt": "2023-11-07T05:31:56Z",
"phantomLockedCount": 123
},
"campaignInsights": {
"markdown": "<string>"
},
"closedAt": "2023-11-07T05:31:56Z",
"columnConfig": {
"columns": [
"ACCESS_REVIEW_TASK_COLUMN_UNSPECIFIED"
],
"orderedColumns": [
{
"appUserAttributeKey": "<string>",
"builtin": "ACCESS_REVIEW_TASK_COLUMN_UNSPECIFIED"
}
]
},
"completionDate": "2023-11-07T05:31:56Z",
"connectorSourcesFrozenAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"defaultView": "ACCESS_REVIEW_VIEW_TYPE_UNSPECIFIED",
"description": "<string>",
"displayName": "<string>",
"errorState": "ACCESS_REVIEW_ERROR_STATE_UNSPECIFIED",
"exclusionScope": {
"appUserStatuses": [
"APP_USER_STATUS_UNSPECIFIED"
],
"appUserTypes": [
"APP_USER_TYPE_UNSPECIFIED"
]
},
"exemptCertifiedAccessConflicts": true,
"expectedTicketCount": 123,
"hasAccuracySupport": true,
"id": "<string>",
"inclusionScope": {
"appUserStatuses": [
"APP_USER_STATUS_UNSPECIFIED"
],
"appUserTypes": [
"APP_USER_TYPE_UNSPECIFIED"
],
"managerIds": [
"<string>"
],
"multiUserProfileAttributes": {},
"noAccountOwners": true,
"userIds": [
"<string>"
],
"userStatuses": [
"USER_UNKNOWN"
]
},
"multiApp": {
"appEntitlementDetails": {},
"appEntitlements": {}
},
"notificationConfig": {
"sendClose": true,
"sendKickoff": true,
"sendReminders": true
},
"policyId": "<string>",
"reviewInstructions": "<string>",
"reviewerAttributeConfig": {
"bindings": [
{
"appId": "<string>",
"attributeKey": "<string>"
}
]
},
"scheduledStartDate": "2023-11-07T05:31:56Z",
"scope": {
"appUserStatuses": [
"APP_USER_STATUS_UNSPECIFIED"
],
"appUserTypes": [
"APP_USER_TYPE_UNSPECIFIED"
]
},
"scopeType": "ACCESS_REVIEW_SCOPE_TYPE_UNSPECIFIED",
"scopeV2": {
"accountCelExpression": {
"expression": "<string>"
},
"accountCriteria": {
"accountDomain": "APP_USER_DOMAIN_UNSPECIFIED",
"accountTypes": [
"APP_USER_TYPE_UNSPECIFIED"
],
"appUserStatuses": [
"APP_USER_STATUS_UNSPECIFIED"
],
"noAccountOwner": true
},
"allAccessConflicts": {},
"allAccounts": {},
"allGrants": {},
"allUsers": {},
"appAccess": {},
"appSelectionCriteria": {
"complianceFrameworkAttributeValueIds": [
"<string>"
],
"riskLevelAttributeValueIds": [
"<string>"
]
},
"celExpression": {
"expression": "<string>"
},
"excludedResourceTypeSelections": {},
"excludedSpecificResources": {},
"grantsByCriteria": {
"accessProfileFilter": {
"excludedAccessProfileIds": [
"<string>"
],
"filterType": "ACCESS_PROFILE_FILTER_TYPE_UNSPECIFIED",
"includedAccessProfileIds": [
"<string>"
]
},
"daysSinceAdded": "<string>",
"daysSinceLastUsed": "<string>",
"daysSinceReviewed": "<string>",
"grantsAddedBetween": {
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z"
},
"sourceFilter": "GRANT_SOURCE_FILTER_UNSPECIFIED",
"typeFilter": "GRANT_FILTER_TYPE_UNSPECIFIED"
},
"principalTypeFilter": "PRINCIPAL_TYPE_FILTER_UNSPECIFIED",
"resourceSelection": {},
"resourceTypeSelections": {},
"scopeRoleSelection": {},
"selectedUsers": {
"userIds": [
"<string>"
]
},
"specificAccessConflicts": {},
"specificResources": {},
"userCriteria": {
"groupAppEntitlementsRef": [
{
"appId": "<string>",
"id": "<string>"
}
],
"managerUserIds": [
"<string>"
],
"multiUserProfileAttributes": {},
"userStatus": [
"UNKNOWN"
]
}
},
"scopingVersion": "<string>",
"signatureConfig": {
"meaningOfSignature": "<string>",
"requireSignature": true,
"stepUpProviderId": "<string>",
"tspUrl": "<string>"
},
"singleApp": {
"appId": "<string>"
},
"startedAt": "2023-11-07T05:31:56Z",
"state": "ACCESS_REVIEW_STATE_UNSPECIFIED",
"updatedAt": "2023-11-07T05:31:56Z",
"usePolicyOverride": true
},
"createdByUserPath": "<string>",
"objectPermissions": {
"delete": true,
"edit": true,
"extra": {},
"read": true
},
"policyPath": "<string>"
}
],
"nextPageToken": "<string>"
}List
List returns a paginated list of access review campaigns.
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.accessReview.list();
console.log(result);
}
run();package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AccessReview.List(ctx, operations.C1APIAccessreviewV1AccessReviewServiceListRequest{})
if err != nil {
log.Fatal(err)
}
if res.AccessReviewServiceListResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Query Parameters
The maximum number of results to return per page. Maximum 100.
Pagination token from a previous List response to fetch the next page.
Response
Successful response
The AccessReviewServiceListResponse message.
Related objects requested via the expand mask.
Show child attributes
Show child attributes
The list of access review campaigns for the current page.
Show child attributes
Show child attributes
Token to retrieve the next page, or empty if there are no more results.
Was this page helpful?